# Interface BoolExpValue<T>

interface BoolExpValue<T> {
_and?: BoolExpValue<T>[];
_not?: BoolExpValue<T>;
_or?: BoolExpValue<T>[];
id?: ComparasionType<Id>;
link?: BoolExpLink;
link_id?: ComparasionType<Id>;
value?: ComparasionType<T>;
}

#### Type Parameters

- T

#### Hierarchy (view full)

- BoolExp<BoolExpValue<T>>
  - BoolExpValue

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:71

#####
Index

### Properties

_and?
_not?
_or?
id?
link?
link_id?
value?

##
Properties

### `Optional`_and

_and?: BoolExpValue<T>[]

Inherited from BoolExp._and

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:20

### `Optional`_not

_not?: BoolExpValue<T>

Inherited from BoolExp._not

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:22

### `Optional`_or

_or?: BoolExpValue<T>[]

Inherited from BoolExp._or

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:21

### `Optional` id

id?: ComparasionType<Id>

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:72

### `Optional` link

link?: BoolExpLink

Relation to the link that contains this value.

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:76

### `Optional` link_id

link_id?: ComparasionType<Id>

If of link that contains this value.

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:74

### `Optional` value

value?: ComparasionType<T>

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:77